Index: src/pacman/conf.h
===================================================================
RCS file: /home/cvs-pacman/pacman-lib/src/pacman/conf.h,v
retrieving revision 1.17
diff -u -r1.17 conf.h
--- src/pacman/conf.h	6 Mar 2007 01:21:42 -0000	1.17
+++ src/pacman/conf.h	7 Apr 2007 13:18:11 -0000
@@ -28,6 +28,7 @@
 	char *configfile;
 	unsigned short op;
 	unsigned short verbose;
+	unsigned short quiet;
 	unsigned short version;
 	unsigned short help;
 	unsigned short upgrade;
Index: src/pacman/pacman.c
===================================================================
RCS file: /home/cvs-pacman/pacman-lib/src/pacman/pacman.c,v
retrieving revision 1.110
diff -u -r1.110 pacman.c
--- src/pacman/pacman.c	22 Mar 2007 18:19:49 -0000	1.110
+++ src/pacman/pacman.c	7 Apr 2007 13:18:11 -0000
@@ -159,6 +159,7 @@
 		printf(_("  -r, --root <path>    set an alternate installation root\n"));
 		printf(_("  -b, --dbpath <path>  set an alternate database location\n"));
 		printf(_("      --cachedir <dir> set an alternate package cache location\n"));
+		printf(_("  -q, --quiet					 be quiet\n"));
 	}
 }
 
@@ -245,6 +246,7 @@
 		{"owns",       no_argument,       0, 'o'},
 		{"file",       no_argument,       0, 'p'},
 		{"print-uris", no_argument,       0, 'p'},
+		{"quiet",			 no_argument,       0, 'q'},
 		{"root",       required_argument, 0, 'r'},
 		{"recursive",  no_argument,       0, 's'},
 		{"search",     no_argument,       0, 's'},
@@ -264,9 +266,9 @@
 		{0, 0, 0, 0}
 	};
 	struct stat st;
-	unsigned short logmask;
+	unsigned short logmask = 0;
 
-	while((opt = getopt_long(argc, argv, "ARUFQSTr:b:vkhscVfmnoldepiuwyg", opts, &option_index))) {
+	while((opt = getopt_long(argc, argv, "ARUFQSTr:b:vkhscVfmnoldepqiuwyg", opts, &option_index))) {
 		if(opt < 0) {
 			break;
 		}
@@ -288,7 +290,7 @@
 				/* debug levels are made more 'human readable' than using a raw logmask
 				 * here, we will ALWAYS set error and warning for now, though perhaps a
 				 * --quiet option will remove these later */
-				logmask = PM_LOG_ERROR | PM_LOG_WARNING;
+				//logmask = PM_LOG_ERROR | PM_LOG_WARNING;
 
 				if(optarg) {
 					unsigned short debug = atoi(optarg);
@@ -305,7 +307,6 @@
 				}
 				/* progress bars get wonky with debug on, shut them off */
 				config->noprogressbar = 1;
-				alpm_option_set_logmask(logmask);
 				break;
 			case 1004: config->noprogressbar = 1; break;
 			case 1005: config->flags |= PM_TRANS_FLAG_NOSCRIPTLET; break;
@@ -358,6 +359,7 @@
 				config->op_q_isfile = 1;
 				config->flags |= PM_TRANS_FLAG_PRINTURIS;
 				break;
+			case 'q': config->quiet = 1; break;
 			case 'r':
 				if(stat(optarg, &st) == -1 || !S_ISDIR(st.st_mode)) {
 					ERR(NL, _("'%s' is not a valid root path\n"), optarg);
@@ -386,6 +388,11 @@
 		}
 	}
 
+	if(!config->quiet) {
+		logmask |= PM_LOG_ERROR | PM_LOG_WARNING;
+	}
+	alpm_option_set_logmask(logmask);
+
 	if(config->op == 0) {
 		ERR(NL, _("only one operation may be used at a time\n"));
 		return(1);
